#include <stdio.h>
#include <stdlib.h>
#include "main.h"
#include "Graphics.h"
#include "System.h"
#include "formats/TGA.h"

int main(int argc, char* argv[])
{
    // init the window
    int width, height;

    Color* image = tga.load("image2.tga", &width, &height);

    gfx.init("TGA Reader", width, height);
    gfx.init2D();
    gfx.clearScreen(Color(0, 0, 0));

    // copy image to the screen
    for (int y = 0; y < height; y++)
        for (int x = 0; x < width; x++)
            gfx.setPixel(x, y, image[y * width + x]);

    // wait till the end
    while (sys.isQuitRequested() == false)
    {
        gfx.render();
        sys.processEvents();
        sys.wait(50);
    }

    gfx.quit();

    if (image != NULL)
        delete[] image;

    return EXIT_SUCCESS;
}
